import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ChimeSDKVoiceClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ChimeSDKVoiceClient";
import { DeleteVoiceProfileRequest } from "../models/models_0";
/**
 * @public
 *
 * The input for {@link DeleteVoiceProfileCommand}.
 */
export interface DeleteVoiceProfileCommandInput extends DeleteVoiceProfileRequest {
}
/**
 * @public
 *
 * The output of {@link DeleteVoiceProfileCommand}.
 */
export interface DeleteVoiceProfileCommandOutput extends __MetadataBearer {
}
export declare class DeleteVoiceProfileCommand extends $Command<DeleteVoiceProfileCommandInput, DeleteVoiceProfileCommandOutput, ChimeSDKVoiceClientResolvedConfig> {
    readonly input: DeleteVoiceProfileCommandInput;
    static getEndpointParameterInstructions(): EndpointParameterInstructions;
    /**
     * @public
     */
    constructor(input: DeleteVoiceProfileCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ChimeSDKVoiceClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteVoiceProfileCommandInput, DeleteVoiceProfileCommandOutput>;
    /**
     * @internal
     */
    private serialize;
    /**
     * @internal
     */
    private deserialize;
}
