import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ChimeSDKVoiceClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../ChimeSDKVoiceClient";
import { PutSipMediaApplicationAlexaSkillConfigurationRequest, PutSipMediaApplicationAlexaSkillConfigurationResponse } from "../models/models_0";
/**
 * @public
 *
 * The input for {@link PutSipMediaApplicationAlexaSkillConfigurationCommand}.
 */
export interface PutSipMediaApplicationAlexaSkillConfigurationCommandInput extends PutSipMediaApplicationAlexaSkillConfigurationRequest {
}
/**
 * @public
 *
 * The output of {@link PutSipMediaApplicationAlexaSkillConfigurationCommand}.
 */
export interface PutSipMediaApplicationAlexaSkillConfigurationCommandOutput extends PutSipMediaApplicationAlexaSkillConfigurationResponse, __MetadataBearer {
}
export declare class PutSipMediaApplicationAlexaSkillConfigurationCommand extends $Command<PutSipMediaApplicationAlexaSkillConfigurationCommandInput, PutSipMediaApplicationAlexaSkillConfigurationCommandOutput, ChimeSDKVoiceClientResolvedConfig> {
    readonly input: PutSipMediaApplicationAlexaSkillConfigurationCommandInput;
    static getEndpointParameterInstructions(): EndpointParameterInstructions;
    /**
     * @public
     */
    constructor(input: PutSipMediaApplicationAlexaSkillConfigurationCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: ChimeSDKVoiceClientResolvedConfig, options?: __HttpHandlerOptions): Handler<PutSipMediaApplicationAlexaSkillConfigurationCommandInput, PutSipMediaApplicationAlexaSkillConfigurationCommandOutput>;
    /**
     * @internal
     */
    private serialize;
    /**
     * @internal
     */
    private deserialize;
}
